﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.EJ2.Navigations;
using System.ComponentModel.DataAnnotations;

namespace WebApplication2.Controllers
{
    public class MenuController : Controller
    {
        protected override void OnActionExecuting(ActionExecutingContext filterContext)
        {
            MenuFieldSettings menuFields = new MenuFieldSettings()
            {
                ItemId = "Id",
                Text = "Text",
                ParentId = "Parent",
                Url = "LinkProperty"
            };
            List<object> menuItems = new List<object>()
                {
                    new { Id= "1", Parent= "null", Text= "Contractos", LinkProperty= "null" },
                    new { Id= "2", Parent= "1", Text= "Crear", LinkProperty= "/Contrato/CrearContrato"  },
                    new { Id= "3", Parent= "1", Text= "Editar", LinkProperty= "/Contrato/EditarContrato" }
                };

            ViewBag.menuItems = menuItems;
            ViewBag.MenuFields = menuFields;
            base.OnActionExecuting(filterContext);
        }
    }
        public class HomeController : MenuController
        {
            public ActionResult Index()
            {
                return View();
            }
            public ActionResult About()
            {
                return View();
            }

            public ActionResult Contact()
            {
                return View();
            }
    }
    
}